OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_ModifEditForm Class Reference

This modifier applies an EditForm on the entities selected
.

`#include <IFSelect_ModifEditForm.hxx>`

Inheritance diagram for IFSelect_ModifEditForm:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_ModifEditForm (const Handle(IFSelect_EditForm)&editform)
| Creates a ModifEditForm. It may not change the graph .
Standard_EXPORT Handle_IFSelect_EditForm | EditForm () const
| Returns the EditForm .
Standard_EXPORT void | Perform (IFSelect_ContextModif &ctx, const Handle(Interface_InterfaceModel)&target, const Handle(Interface_Protocol)&protocol, Interface_CopyTool &TC) const
| Acts by applying an EditForm to entities, selected or all model .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns Label as "Apply EditForm <+ label of EditForm>" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IFSelect_EditForm | theedit

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_ModifEditForm::IFSelect_ModifEditForm | ( | const Handle(IFSelect_EditForm)& | editform | ) |

## Member Function Documentation

Standard_EXPORT Handle_IFSelect_EditForm IFSelect_ModifEditForm::EditForm | ( |  | ) | const

Standard_EXPORT const IFSelect_ModifEditForm::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Modifier.

Standard_EXPORT TCollection_AsciiString IFSelect_ModifEditForm::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void IFSelect_ModifEditForm::Perform | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(Interface_InterfaceModel)& | target,
|  | const Handle(Interface_Protocol)& | protocol,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IFSelect_Modifier.

## Field Documentation

Handle_IFSelect_EditForm IFSelect_ModifEditForm::theedit`[private]`

The documentation for this class was generated from the following file:

- IFSelect_ModifEditForm.hxx